Why is Blackboard asking me to install or update my Flash player when I try to play iSpring files, even though I have the latest version on my computer?

iSpring files need to be re-uploaded into new course site.

This happens due to iSpring content present in the course. iSpring content was not copied over properly from the previous course.

To resolve this:
1. Download the lecture modules created in iSpring from the previous course into a zip file.
2. Upload it in the the current course. 

This will ensure that the current course will have all the supporting files to run the lecture modules.

Note: Flash is being disabled by most browsers in 2020.  This means iSpring content that includes Flash may not play for students.  Read more about ending support for Flash in browsers here: https://support.microsoft.com/en-us/help/4520411/adobe-flash-end-of-support